Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Why were codecs downgraded???[SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
Budoka
Guru
Guru


Joined: 03 Jun 2012
Posts: 338
Location: Tokyo, Japan

PostPosted: Thu Jun 13, 2013 7:41 pm    Post subject: Why were codecs downgraded???[SOLVED] Reply with quote

Was about to update my system and noticed the following:

Quote:
[D] << media-libs/amd64codecs ({M}20071007): 64-bit binary codecs for video and audio playback support
<< media-libs/realcodecs ({M}(~)11.0.1.1056-r1): Real Player audio and video binary codecs
[D] << media-libs/win32codecs ({M}(~)20071007-r4): Windows 32-bit binary codecs for video and audio playback support


I have searched online and can't find an explanation as to why they are being downgraded. I also don't see anything in the eselect news. I am hesitating to let them be downgraded because, due to my paranoia, I fear I may lose support for some media.

Does anyone know what has changed?


Last edited by Budoka on Fri Jun 28, 2013 7:21 pm; edited 1 time in total
Back to top
View user's profile Send private message
lost+found
Guru
Guru


Joined: 15 Nov 2004
Posts: 406
Location: North~Sea~Coa~s~~t~~~

PostPosted: Thu Jun 13, 2013 8:10 pm    Post subject: Reply with quote

Hi,

Did you do emerge --sync?

These packages are removed from the tree...

https://bugs.gentoo.org/show_bug.cgi?id=468406
Back to top
View user's profile Send private message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4608
Location: Saint Amant, Acadiana

PostPosted: Thu Jun 13, 2013 9:32 pm    Post subject: Reply with quote

I dropped win32codecs 7 or 8 years ago. Never missed them. What exotic codec it is you need from win32codecs?
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
Budoka
Guru
Guru


Joined: 03 Jun 2012
Posts: 338
Location: Tokyo, Japan

PostPosted: Fri Jun 14, 2013 12:01 am    Post subject: Reply with quote

Yes I did emerge --sync. That's how I noticed it.

It's not so much that I need an "exotic" codec but that...
1) I wanted to know "why" the downgrade (Thanks lost+found)
2) If I let it downgrade and I do notice a loss of functionality somewhere can I get the version I have back now. This is even more-so the case now that I know it is a licensing issue prompting the change.

I also found this online and suspect MPlayer is the reason I originally downloaded the win32codecs.

Quote:
Mplayer and VLC: When it comes to multimedia applications, video is generally handled by 'mplayer' or VLC. Both these applications give you maximum bang-for-the-buck with their feature-sets, compatibility and light resource-utilization. If you want to try out VLC, just type "emerge vlc". If you want to try mplayer, it is recommended that you install a codec package which will allow you to play the most popular media formats like wmv and mp4. This package is known as 'win32codecs'. To install mplayer and win32codecs together, type "emerge win32codecs mplayer". If you'd like to use a frontend for mplayer, you can choose from many frontends available like 'smplayer' or 'kmplayer'.


Is this out of date???
Back to top
View user's profile Send private message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4608
Location: Saint Amant, Acadiana

PostPosted: Fri Jun 14, 2013 12:32 am    Post subject: Reply with quote

You missed the vital part of lost+found post.
Quote:
Did you do emerge --sync?

None of these codecs are in portage any more.
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
Budoka
Guru
Guru


Joined: 03 Jun 2012
Posts: 338
Location: Tokyo, Japan

PostPosted: Fri Jun 14, 2013 12:37 am    Post subject: Reply with quote

Jaglover wrote:
You missed the vital part of lost+found post.
Quote:
Did you do emerge --sync?

None of these codecs are in portage any more.


OK. I understand my confusion. I use eix so it is eix-sync which I believe call emerge--sync.

It was the output from eix-sync in which I saw that the codecs were downgraded. I posted the snippet above.

So if I understand correctly, I don't have a choice. It is no longer in portage, and when I do a world update it will rip out the codecs I have now and replace with the lower version. Is that correct?
Back to top
View user's profile Send private message
Jaglover
Advocate
Advocate


Joined: 29 May 2005
Posts: 4608
Location: Saint Amant, Acadiana

PostPosted: Fri Jun 14, 2013 12:41 am    Post subject: Reply with quote

These codecs are not in portage. If your box is telling you they will be downgraded then something is wrong. Do you have some local overlay you have forgotten about?
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
kurly
Apprentice
Apprentice


Joined: 02 Apr 2012
Posts: 166

PostPosted: Fri Jun 14, 2013 1:27 am    Post subject: Reply with quote

Budoka wrote:
It was the output from eix-sync in which I saw that the codecs were downgraded. I posted the snippet above.

I believe you are misunderstanding the output, the D in this case does not mean downgrade but deleted. Otherwise there would be a new version listed. Instead there is only an indication that the only existing version is being deleted. There is nothing wrong with your system. When you do a world update, nothing will happen for those codecs. When you emerge -ac (or emerge --depclean --ask), I suspect those packages should be removed. Again this is correct, nothing is wrong.
Back to top
View user's profile Send private message
ulm
Developer
Developer


Joined: 04 Oct 2004
Posts: 70
Location: Mainz, Germany

PostPosted: Fri Jun 14, 2013 7:52 am    Post subject: Reply with quote

media-libs/win32codecs were masked for removal a month ago, see bug 468406. The main reason were license issues; it is not clear if anyone is allowed to redistribute this software. Also the mplayer maintainers signalled that the binary codecs would not be needed any more. Quoting from the above-mentioned bug:
Quote:
If you think any of those packages is still needed, please provide a link to videos in the wild. To our knowledge, all relevant codecs that previously needed win32codecs or realcodecs are now supported by plain ffmpeg/libav.

As for amd64codecs and realcodecs, these were package masked since ages for security reasons, and realcodecs had a fetch failure that apparently nobody noticed for several months.
Back to top
View user's profile Send private message
Budoka
Guru
Guru


Joined: 03 Jun 2012
Posts: 338
Location: Tokyo, Japan

PostPosted: Fri Jun 28, 2013 7:20 pm    Post subject: Reply with quote

kurly wrote:
Budoka wrote:
It was the output from eix-sync in which I saw that the codecs were downgraded. I posted the snippet above.

I believe you are misunderstanding the output, the D in this case does not mean downgrade but deleted. Otherwise there would be a new version listed. Instead there is only an indication that the only existing version is being deleted. There is nothing wrong with your system. When you do a world update, nothing will happen for those codecs. When you emerge -ac (or emerge --depclean --ask), I suspect those packages should be removed. Again this is correct, nothing is wrong.


That was it. I was misunderstanding the output. Haha. Thanks for the help and explanations everyone.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum